Name: freetype2
Version: 2.1.10
Release: alt0.M23.1

Summary: The FreeType2 library
License: FTL/GPL
Group: System/Libraries
Url: http://www.freetype.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: freetype-%version.tar.bz2
Source1: freetype-doc-%version.tar.bz2
Source2: ft2demos-%version.tar.bz2

# RedHat patches
Patch1: freetype-2.1.10-rh-enable-ft2-bci.patch
Patch2: ft2demos-2.1.10-rh-makefile.patch
Patch3: freetype-2.1.10-cvsfixes.patch
Patch4: freetype-2.1.10-fixautofit.patch
Patch5: freetype-2.1.10-memleak.patch
Patch6: freetype-2.1.10-fixaliasing.patch
Patch7: freetype-2.1.10-fixkerning.patch
Patch8: freetype-2.1.10-xorgfix.patch

# SuSE patches
Patch10: freetype2-bitmap-foundry.patch

%def_enable static
%def_with x11

BuildRequires: zlib-devel gcc-c++
%if_with x11
BuildRequires: XFree86-devel
%endif

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments.  FreeType is a library which can open
and manages font files as well as efficiently load, hint and render
individual glyphs.  FreeType is not a font server or a complete
text-rendering library.

%package devel
Summary: Header files and library for development with FreeType2
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the header files and libraries needed
to develop programs that use the FreeType2 library.

%package devel-static
Summary: The FreeType2 static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains the FreeType2 static library.

%package demos
Summary: A collection of FreeType demonstration programs
Group: Development/C
Requires: %name = %version-%release

%description demos
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments.  FreeType is a library which can open
and manages font files as well as efficiently load, hint and render
individual glyphs.  FreeType is not a font server or a complete
text-rendering library.

This package contains collection of FreeType demonstration programs.

%prep
%setup -q -n freetype-%version -a1 -a2
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%patch10 -p1

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%add_optflags -fno-strict-aliasing
%configure %{subst_enable static}
%make_build
%if_with x11
pushd ft2demos-%version
	%make_build X11_LIB=%_x11libdir X11_PATH=%_x11dir TOP_DIR=..
popd
%endif

%install
%makeinstall

%if_with x11
%__mkdir_p %buildroot%_x11bindir
pushd ft2demos-%version
%__install -m755 bin/ft* %buildroot%_x11bindir/
popd
%endif

%define docdir %_docdir/freetype-%version
%__mkdir_p %buildroot%docdir
%__cp -a docs/* %buildroot%docdir/
pushd %buildroot%docdir
bzip2 -9 CHANGES raster.txt
%__rm -fv GPL.txt INSTALL* release UPGRADE.UNX
popd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %docdir
%docdir/CHANGES*
%docdir/FTL.TXT
%docdir/PATENTS
%docdir/LICENSE.TXT

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4
%docdir
%exclude %docdir/CHANGES*
%exclude %docdir/FTL.TXT
%exclude %docdir/PATENTS
%exclude %docdir/LICENSE.TXT

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%if_with x11
%files demos
%_x11bindir/*
%endif

%changelog
* Tue Dec 27 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1.10-alt0.M23.1
- backport to ALT Linux M23

* Wed Nov 09 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.10-alt1
- merge patches from RedHat

* Mon Oct 03 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.10-alt0.1
- 2.1.10

* Wed Jun 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt4
- merge patches from SuSE

* Fri Mar 18 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt3
- enable static

* Wed Oct 27 2004 Dmitry V. Levin <ldv@altlinux.org> 2.1.9-alt2
- Fixed build dependencies.
- Packaged translations.
- Build ft2demos.
- Moved documentation for developers to -devel subpackage.

* Wed Oct 20 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt1
- Updated to 2.1.9.

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.1.4-alt3
- Fix crash with non-format-0 hdmx tables (RH).
- Do not build static library by default.
- Do not package .la files.
- Specfile cleanup.

* Tue Jun 03 2003 AEN <aen@altlinux.ru> 2.1.4-alt2
- some internal headers added for pfaedit

* Sat Apr 12 2003 AEN <aen@altlinux.ru> 2.1.4-alt1
- new version
- patches 1,2 obsoletes now

* Tue Mar 11 2003 AEN <aen@altlinux.ru> 2.1.3-alt2
- enable bytecode interpreter

* Fri Feb 28 2003 AEN <aen@altlinux.ru> 2.1.3-alt1
- new verson
- patches from RH

* Mon Sep 02 2002 AEN <aen@altlinux.ru> 2.1.2-alt2
- patches from Rawhide (2.1.2-9) for hinting quality added

* Wed Jun 26 2002 AEN <aen@logic.ru> 2.1.2-alt1
- new version

* Tue Jun 17 2002 AEN <aen@logic.ru> 2.1.1-alt1
- new version
- patch regenerated

* Thu Mar 28 2002 AEN <aen@logic.ru> 2.0.9-alt1
- new version

* Fri Jan 18 2002 AEN <aen@logic.ru> 2.0.6-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 2.0.5-alt1
- new version

* Wed Jul 4 2001 AEN <aen@logic.ru> 2.0.4-alt1
- new version

* Thu Jun 21 2001 AEN <aen@logic.ru> 2.0.3-alt3
- ttf hinting enabled

* Mon Jun 18 2001 AEN <aen@logic.ru> 2.0.3-alt2
- requirements fixed (thnx to Aleksey Voinov)

* Thu May 31 2001 AEN <aen@logic.ru> 2.0.3-alt1
- 2.0.3

* Wed Apr 4 2001 AEN <aen@logic.ru> 2.0.2-ipl1mdk
- 2.0.2 final

* Mon Dec 18 2000 AEN <aen@logic.ru>
- new snapshot for building XFree86-4.0.2

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing

